# Poco::Zip

# class ParseCallback

Library: Zip
Package: Zip
Header: Poco/Zip/ParseCallback.h

## Description

Interface for callbacks to handle ZipData

## Inheritance

Known Derived Classes: Decompress, SkipCallback

## Member Summary

Member Functions: handleZipEntry

## Constructors

### ParseCallback

ParseCallback();

Creates the ParseCallback.

## Destructor

### ~ParseCallback

virtual ~ParseCallback();

Destroys the ParseCallback.

## Member Functions

### handleZipEntry

virtual bool handleZipEntry(
std::istream & zipStream,
const ZipLocalFileHeader & hdr
) = 0;

Handles parsing of the data of a single Zip Entry. zipStream is guaranteed to be at the very first data byte. Note that a callback class SHOULD consume all data inside a zip file, ie. after processing the next 4 bytes point the next ZipLocalFileHeader or the ZipDirectory. If it fails to do so, it must return false, otherwise true.